> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add an option to a Package

> ## Add an option to a Package ##

<p>
Adds an option to the Package based on the JSON array of data provided.
</p>

## Response ##
**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>optionId</td><td>n</td><td>Integer</td><td>ID of the newly created Package Option.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json post /{supplierapi}/package/{productPricesDetailId}/option
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/package/{productPricesDetailId}/option:
    post:
      tags:
        - Packages
      summary: Add an option to a Package
      description: |-
        ## Add an option to a Package ##

        <p>
        Adds an option to the Package based on the JSON array of data provided.
        </p>

        ## Response ##
        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>optionId</td><td>n</td><td>Integer</td><td>ID of the newly created Package Option.</td>
                 </tr>
             </tbody>
         </table>
      operationId: post_api_product_package_addpackageoption
      parameters:
        - name: productPricesDetailId
          in: path
          description: The ID of the ProductPricesDetail
          required: true
          schema:
            type: integer
            pattern: \d+
        - name: label
          in: query
          description: Label for the Package Option.
          required: true
          schema:
            type: string
        - name: ordering
          in: query
          description: >-
            Sort ordering for the Package Option. The ordering for other Options
            will be adjusted as necessary to accommodate the new Option's
            ordering.
          required: true
          schema:
            type: integer
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '201':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Returned when the ProductPricesDetail is not found
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.